Bug 16310 - Remove the use of "onclick" from audio alerts template
Summary: Remove the use of "onclick" from audio alerts template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/admin/audio_alerts.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-20 14:27 UTC by Owen Leonard
Modified: 2017-06-14 22:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16310 - Remove the use of "onclick" from audio alerts template (3.18 KB, patch)
2016-04-20 14:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16310 - Remove the use of "onclick" from audio alerts template (3.27 KB, patch)
2016-04-20 14:59 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 16310 - Remove the use of "onclick" from audio alerts template (3.34 KB, patch)
2016-04-25 10:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-04-20 14:27:48 UTC
There is one use of "onclick" in admin/audio_alerts.tt. It should be rewritten so that JS functionality can be separate from the markup.
Comment 1 Owen Leonard 2016-04-20 14:35:53 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-20 14:59:45 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-25 10:48:56 UTC
Created attachment 50627 [details] [review]
[PASSED QA] Bug 16310 - Remove the use of "onclick" from audio alerts template

This patch removes one use of "onclick" in favor of defining events in
the JavaScript.

This patch also makes changes to the style of some buttons to make the
interface a little more consistent with current practices.

To test, apply the patch and go to Administration -> Audio alerts.

- In the list of existing audio alerts, click the "Edit" button for any
  alert. The correct data should be loaded in the edit form.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Kyle M Hall 2016-04-29 15:46:07 UTC
Pushed to master for the 16.05 release. Thanks Owen!
Comment 5 Frédéric Demians 2016-08-05 06:06:10 UTC
Pushed in 16.05. Will be in 16.05.03.